--Name：            201020[简体征服][活动脚本]战士觉醒预热活动
--Creator:      何若晖
--Created:     2020-10-20
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>86
--/reloadlua Script/WarriorAwakens/WarriorAwakens3Guide.lua

-- 设置视角
CppScriptMgr:SetViewPosByCell(463,343)
local hero = CppScriptMgr:QueryHero()
hero:SetDir(0)
hero:SetPos(463,343)
local MainNpc = CppScriptMgr:AddSimplePlayer(11014, 462,347, "Xue Wenzong")
CppScriptMgr:SetLightScreen(2000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("We have repaired the 4-star Array. Try its power!\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "Xue Wenzong", 250, 655)
CppScriptMgr:WaitMilSec(3000)

if hero:GetSex() == 1 then
	CppScriptMgr:NpcCallOut("Is the array really so powerful?\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27064", 150, 430, hero:GetName(), 250, 655)
else
	CppScriptMgr:NpcCallOut("Is the array really so powerful?\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc185", 150, 430, hero:GetName(), 250, 655)
end

CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Look. Four elements, all in one! Rise, dragon!\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "Xue Wenzong", 250, 655)
CppScriptMgr:WaitMilSec(3000)


CppScriptMgr:SetViewPosByCell(389,440)
CppScriptMgr:SetLightScreen(2000)

-- 创建凤眼处
local playerNpc1 = CppScriptMgr:AddSimplePlayer(40500, 388,442, "Dragon Star")

local player1 = CppScriptMgr:AddPlayer(309, 400, 454, "Sand Monster")
player1:Say("Crush",1500)
player1:RunTo(393, 447)

local player2 = CppScriptMgr:AddPlayer(505, 391, 453, "Hill Monster L73")
player2:Say("Crush",1500)
player2:RunTo(391, 447)

local player3 = CppScriptMgr:AddPlayer(505, 376, 442, "Hill Monster L73")
player3:Say("Crush",1500)
player3:RunTo(382, 442)

local player4 = CppScriptMgr:AddPlayer(281, 374, 451, "Sand Monster L68")
player4:Say("Crush",1500)
player4:RunTo(381, 445)

local player5 = CppScriptMgr:AddPlayer(400, 389, 429, "Sly Blade Ghost")
player5:Say("Crush",1500)
player5:RunTo(388, 437)

local player6 = CppScriptMgr:AddPlayer(281, 387, 425, "Sand Monster L68")
player6:Say("Crush",1500)
player6:RunTo(387, 433)

local player7 = CppScriptMgr:AddPlayer(400, 402, 432, "Sly Blade Ghost")
player7:Say("Crush",1500)
player7:RunTo(394, 440)

CppScriptMgr:WaitMilSec(1600)
local effect1 = CppScriptMgr:AddEffect("cyclonehandcycle",380,441)
effect1:Scale(1.8,1.8,1.8)
local effect2 = CppScriptMgr:AddEffect("cyclonehandcycle",395,452)
effect2:Scale(2.2,2,1.8)
local effect3 = CppScriptMgr:AddEffect("cyclonehandcycle",392,434)
effect3:Scale(1.8,1.8,1.8)
CppScriptMgr:WaitMilSec(00)
player1:SetAction(330)
player2:SetAction(330)
player3:SetAction(330)
player4:SetAction(330)
player5:SetAction(330)
player6:SetAction(330)
player7:SetAction(330)
CppScriptMgr:WaitMilSec(1600)

CppScriptMgr:SetViewPosByCell(405,414)
CppScriptMgr:SetLightScreen(2000)

-- CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("White tiger growls!\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "Xue Wenzong", 250, 655)
-- CppScriptMgr:WaitMilSec(1600)
-- 创建凤冠处
local playerNpc2 = CppScriptMgr:AddSimplePlayer(40510, 407,412, "Tiger Star")

local player8 = CppScriptMgr:AddPlayer(400, 417, 426, "Sly Blade Ghost")
player8:Say("Crush",1500)
player8:RunTo(410, 419)

local player9 = CppScriptMgr:AddPlayer(105, 408, 425, "Hill Monster")
player9:Say("Crush",1500)
player9:RunTo(408, 419)

local player10 = CppScriptMgr:AddPlayer(505, 399, 414, "Hill Monster L73")
player10:Say("Crush",1500)
player10:RunTo(405, 414)

local player11 = CppScriptMgr:AddPlayer(309, 391, 423, "Sand Monster")
player11:Say("Crush",1500)
player11:RunTo(398, 417)

local player12 = CppScriptMgr:AddPlayer(105, 407, 402, "Hill Monster")
player12:Say("Crush",1500)
player12:RunTo(407, 408)

local player13 = CppScriptMgr:AddPlayer(281, 420, 412, "Sand Monster L68")
player13:Say("Crush",1500)
player13:RunTo(412, 412)


CppScriptMgr:WaitMilSec(1700)
local effect4 = CppScriptMgr:AddEffect("xidag_bafi",397,413)
effect4:Scale(1.1,1.1,1.1)
local effect5 = CppScriptMgr:AddEffect("xidag_bafi",412,424)
effect5:Scale(1.5,1.2,1.1)
local effect6 = CppScriptMgr:AddEffect("xidag_bafi",409,406)
effect6:Scale(1.1,1.1,1.1)
player8:SetAction(330)
player9:SetAction(330)
player10:SetAction(330)
player11:SetAction(330)
player12:SetAction(330)
player13:SetAction(330)

CppScriptMgr:WaitMilSec(1600)
CppScriptMgr:SetViewPosByCell(427,429)
CppScriptMgr:SetLightScreen(2000)
CppScriptMgr:NpcCallOut("Phoenix sings with fire!\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "Xue Wenzong", 250, 655)
-- CppScriptMgr:WaitMilSec(1600)

-- 创建凤羽处
local playerNpc3 = CppScriptMgr:AddSimplePlayer(40520, 431,430, "Phoenix Star")

local player14 = CppScriptMgr:AddPlayer(309, 441, 443, "Sand Monster")
player14:Say("Crush",1500)
player14:RunTo(434, 436)

local player15 = CppScriptMgr:AddPlayer(105, 432, 442, "Hill Monster")
player15:Say("Crush",1500)
player15:RunTo(432, 436)

local player16 = CppScriptMgr:AddPlayer(309, 423, 431, "Sand Monster")
player16:Say("Crush",1500)
player16:RunTo(429, 431)

local player17 = CppScriptMgr:AddPlayer(281, 415, 440, "Sand Monster L68")
player17:Say("Crush",1500)
player17:RunTo(422, 434)

local player18 = CppScriptMgr:AddPlayer(281, 430, 415, "Sand Monster L68")
player18:Say("Crush",1500)
player18:RunTo(429, 426)

local player19 = CppScriptMgr:AddPlayer(400, 428, 414, "Sly Blade Ghost")
player19:Say("Crush",1500)
player19:RunTo(428, 422)

local player20 = CppScriptMgr:AddPlayer(105, 443, 421, "Hill Monster")
player20:Say("Crush",1500)
player20:RunTo(435, 429)

-- CppScriptMgr:WaitMilSec(1800)
local effect7 = CppScriptMgr:AddEffect("seismatt_01",421,430)
effect7:Scale(1.2,1.2,1.2)
local effect8 = CppScriptMgr:AddEffect("seismatt_01",432,436)
effect8:Scale(1.5,1.1,1.1)
local effect9 = CppScriptMgr:AddEffect("seismatt_01",433,423)
effect9:Scale(1.1,1.1,1.1)
CppScriptMgr:WaitMilSec(800)
player14:SetAction(330)
player15:SetAction(330)
player16:SetAction(330)
player17:SetAction(330)
player18:SetAction(330)
player19:SetAction(330)
player20:SetAction(330)

CppScriptMgr:WaitMilSec(1600)

CppScriptMgr:SetViewPosByCell(603,428)
CppScriptMgr:SetLightScreen(2000)

CppScriptMgr:NpcCallOut("Turtle guards the time!\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "Xue Wenzong", 250, 655)
-- CppScriptMgr:WaitMilSec(1600)
-- 创建凤羽处
local playerNpc4 = CppScriptMgr:AddSimplePlayer(12010, 604,424, "Turtle Star")
hero:SetPos(600,423)
local player20 = CppScriptMgr:AddPlayer(281, 613, 438, "Sand Monster L68")
player20:Say("Crush",1500)
player20:RunTo(606, 431)

local player21 = CppScriptMgr:AddPlayer(105, 604, 437, "Hill Monster")
player21:Say("Crush",1500)
player21:RunTo(604, 431)

local player22 = CppScriptMgr:AddPlayer(309, 595, 426, "Sand Monster")
player22:Say("Crush",1500)
player22:RunTo(605, 426)

local player23 = CppScriptMgr:AddPlayer(505, 590, 432, "Hill Monster L73")
player23:Say("Crush",1500)
player23:RunTo(595, 428)

local player24 = CppScriptMgr:AddPlayer(281, 602, 410, "Sand Monster L68")
player24:Say("Crush",1500)
player24:RunTo(607, 421)

local player25 = CppScriptMgr:AddPlayer(105, 600, 409, "Hill Monster")
player25:Say("Crush",1500)
player25:RunTo(600, 417)

local player26 = CppScriptMgr:AddPlayer(105, 615, 416, "Hill Monster")
player26:Say("Crush",1500)
player26:RunTo(607, 424)

-- local player27 = CppScriptMgr:AddPlayer(105, 443, 421, "Hill Monster")
-- player27:Say("Crush",1500)
-- player27:RunTo(435, 429)

CppScriptMgr:WaitMilSec(500)
local effect10 = CppScriptMgr:AddEffect("zf2-e224",595,427)
effect10:Scale(1.5,1.8,1.5)
local effect11 = CppScriptMgr:AddEffect("zf2-e224",608,436)
effect11:Scale(1.5,1.5,1.5)
local effect12 = CppScriptMgr:AddEffect("zf2-e224",607,418)
effect12:Scale(1.5,1.8,1.5)
CppScriptMgr:WaitMilSec(800)
player20:SetAction(330)
player21:SetAction(330)
player22:SetAction(330)
player23:SetAction(330)
player24:SetAction(330)
player25:SetAction(330)
player26:SetAction(330)
-- player27:SetAction(330)

CppScriptMgr:WaitMilSec(1600)